
blockMesh

{% for i in range(nrBoundaryLayers) -%}
  {% if foamFork!="extend" and foamVersion>(2,3,1) -%}
refineWallLayer -overwrite "(upperWall lowerWall)" 0.5
  {% else -%}
refineWallLayer -overwrite lowerWall 0.5
refineWallLayer -overwrite upperWall 0.5
  {% endif -%}
{% endfor -%}

{% if numberOfProcessors>1 -%}
cp -r 0.org 0
rm 0/*.template

mkdir 0.tmp
mv 0/*.finalTemplate 0.tmp

pyFoamDecompose.py . {{numberOfProcessors}}

  {% for p in range(numberOfProcessors) -%}
cp 0.tmp/* processor{{p}}/0/
  {% endfor -%}

rm -r 0.tmp
{% endif -%}
